BCL mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 System.Runtime.InteropServices.ComVisible(true)

Implemented by classes that support a collection of objects that can be individually indexed.

implementations fall into three categories: read-only, fixed-size, variable-size. A read-only list cannot be modified. A fixed-size list allows the modification of existing elements, but does not allow the addition or removal of elements. A variable-size list allows the modification, addition, and removal of elements.

- Method
  System.Int32 `` The to add to the current instance.

  Adds an item to the current instance.

  A containing the index of the current instance into which the new element was inserted.

  As described above.

  Use the method to add another element to the current instance. The index into which that element is added is implementation-dependent.

  The current instance is read-only or has a fixed size.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Void

  Removes all items from the current instance.

  As described above.

  Implementations of this method can vary in how a call to this method affects the capacity of a list. Typically, the count is set to zero. The capacity can be set to zero, some default, or remain unchanged.

  Use this method to delete all values from the current instance.

  The current instance is read-only.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean `` The to locate in the current instance.

  Determines whether the current instance contains a specific value.

  if the is found in the current instance; otherwise, .

  As described above.

  Use the method to determine if a particular is an element of the current instance.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Int32 `` The to locate in the current instance.

  Determines the index of a specific item in the current instance.

  The index of if found in the current instance; otherwise, -1.

  As described above.

  The default implementations of this method use to search for value in the current instance.

  Use to determine if a is contained in the current instance and, if it is contained, its index in the current instance.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` `` A that specifies the zero-based index at which is inserted. The to insert into the current instance.

  Inserts an item to the current instance at the specified position.

  If equals the number of items in the , then is required to be appended to the end of the current instance.

  Use to place a new element into a specific position in the current instance.

  is not a valid index in the current instance (i.e. is greater than the number of elements in the current instance).

  The current instance is read-only or has a fixed size.

  0
  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean

  Gets a value indicating whether the current instance has a fixed size.

  if the current instance has a fixed size; otherwise, .

  This property is read-only.

  A collection with a fixed size does not allow the addition or removal of elements, but it allows the modification of existing elements.

  Any method that adds or removes an element of a collection is required to check the value of this property for the particular collection before adding or removing elements. If the value of this property is , any attempt to add or remove an element of the current instance is required to throw a .

  The default of this property is .

  Override this property, setting the value to , in order to prevent the addition or removal of elements in the current instance.

  Use to secure the current instance from modification from methods, such as and , which add or remove elements from a list.

  0
  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean

  Gets a value indicating whether the current instance is read-only.

  if the current instance is read-only; otherwise, .

  This property is read-only.

  A collection that is read-only does not allow the modification, addition, or removal of elements.

  Any method that modifies, adds, or removes an element of a collection is required to check the value of this property for the particular collection before executing. If the value of this property is , any attempt to modify, add, or remove an element of the current instance is required to throw a .

  The default of this property is .

  Override this property, setting the value to , in order to prevent the modification, addition, or removal of elements in the current instance.

  Use to secure the current instance from modification from methods, such as and , which modify, add, or remove elements from a list.

  0
  1.0.5000.0
  2.0.0.0
- Property
  System.Object `` A that specifies the zero-based index of the element to get or set.

  Gets or sets the element at the specified index in the current instance.

  The element at the specified index in the current instance.

  As described above.

  Use this property for subscript indexing for the current instance in the following form: myCollection[index].

  is not a valid index in the current instance. The property is being set and the current instance is read-only. 0 1.0.5000.0 2.0.0.0
- Method
  System.Void `` The to remove from the current instance.

  Removes the first occurrence of a specified from the current instance.

  As described above.

  In addition, if is or is not found in the current instance, it is required that no exception be thrown and the current instance remain unchanged.

  The default implementations of this method use to search for value in the current instance.

  Use to delete a specified from the current instance.

  The current instance is read-only or has a fixed size.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` A that specifies the zero-based index of the item to remove.

  Removes the item at the specified index of the current instance.

  As described above.

  Use to delete a specified from the current instance.

  is not a valid index in current instance.

  The current instance is read-only or has a fixed size.

  0
  1.0.5000.0
  2.0.0.0
0 System.Collections.ICollection